Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.peer.core.xms
Class RunningLocalTaskManager

    java.lang.Object
      lbg.peer.core.xms.RunningTaskManager
          lbg.peer.core.xms.RunningLocalTaskManager

    public class RunningLocalTaskManager

extends RunningTaskManager

Author:
  Cyril Briquet

Constructor Summary
`RunningLocalTaskManager(Peer managed_peer, TaskComparator task_cmp, java.lang.String task_runtime_data_type)`

Method Summary
`boolean` | `processTimedOutTasks()` Processes timed-out Tasks.
`java.lang.String` | `toString()`

Methods inherited from class lbg.peer.core.xms.RunningTaskManager
`addRunningTask, areSomeTasksRunning, areSomeTasksTimedOut, countRunningTasks, getMostRecentlyRunningAndUngracedTask, getStartTime, identifySupplier, isTaskGraced, listRunningTasks, removeRunningTask, updateTimeOutActionTag, updateTimeOutActionTagAndValue, updateTimeOutValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RunningLocalTaskManager

    public RunningLocalTaskManager(Peer managed_peer,
                                   TaskComparator task_cmp,
                                   java.lang.String task_runtime_data_type)
                            throws GridException

Throws:
  `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `RunningTaskManager`

### processTimedOutTasks

    public boolean processTimedOutTasks()
                                 throws GridException

  Processes timed-out Tasks.

  Specified by:
    `processTimedOutTasks` in class `RunningTaskManager`
  Returns:
    true if at least one Task has been preempted or cancelled
  Throws:
    `GridException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.